<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>Document</title>

	<!-- into to Bootstrap Css -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">
	<!-- external Css -->
	<link rel="stylesheet" href="./index.css">



</head>
<body>

	<h1 class="text-center bg-danger jumbotron">Bootsrap Introduction</h1>
	<div class="container bg bg-dark">
		<h2 class="text-center">Classes for text Color</h2>
		<p class="text-primary">Primary</p>
        <p class="text-secondary">Secondary</p>
        <p class="bg-warning text-dark">Dark</p>
        <p class="text-white bg-dark">Muted</p>
	</div>
    <div class="container">
        <h2>Classes for background Colors</h2>
        <div class="bg-danger text-white">BG-hello</div>
        <div class="bg-success text-white">BG-Success</div>
    </div>

    <!-- padding and margins bootstrap -->

    <div class="mt-5 p-3 bg-warning container">
    	Bootstrap has its own responsive padding and margins.
    	wherein its classes, m stands for margin and p stands for padding.
    </div>

    <div class="my-5 px-4 bg-primary text-white">
    	<li>t- sets margin top or padding top (mt-pt)</li>
    	<li>b- sets margin bottom or padding bottom (mb-pb)</li>
    	<li>x - sets margin in left and right (mx-px)</li>
    	<li>y- sets marin in top and buttom (my-py)</li>
    </div>

    <!--size  -->

    <div>
    	Bootstrap padding and margin size from 0 to 5 and auto
    	<ul>
    		<li></li>
    	</ul>
    </div>
    <div>
    	<button class="">HEllo</button>
    </div>

    <!-- centering -->

    <div style="width:450px" class="mx-auto mt-5 mb-5 bg-warning">
    	In Bootstrap, we can use the mx-auto class to center an element which display is bliock and has a definite width.
    </div>












	<!-- js dependencies -->
	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>
</body>
</html>